PETSc version 3.17.4
Fix/Edit manual page

# PetscGetTmp

Gets the name of the tmp directory

### Synopsis

    PetscErrorCode  PetscGetTmp(MPI_Comm comm,char dir[],size_t len)

Collective

### Input Parameters

| comm | - MPI_Communicator that may share /tmp
| len | - length of string to hold name

### Output Parameter

| dir | - directory name

### Options Database Keys

| -shared_tmp | - indicates the directory is shared among the MPI ranks
| -not_shared_tmp | - indicates the directory is not shared among the MPI ranks
| -tmp tmpdir | - name of the directory you wish to use as /tmp

### Environmental Variables

| PETSC_SHARED_TMP | - indicates the directory is shared among the MPI ranks
| PETSC_NOT_SHARED_TMP | - indicates the directory is not shared among the MPI ranks
| PETSC_TMP | - name of the directory you wish to use as /tmp

### Level

developer

### Location

src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages